# needsrootforbuild

%bcond pxeboot 0

Url:            http://www.suse.com/
Name:           baseiso-agama-installer-Leap
Summary:        Product Composer Base Images
Version:        16.0.0
Release:        13.30
Group:          System/Management
License:        SUSE-EULA
Provides:       baseiso(agama-installer-Leap)

%define install_dir  %{_libexecdir}/base-isos
%define tftpboot_dir /usr/share/tftpboot-installation
%define product_dir  %{tftpboot_dir}/agama-installer-Leap
%define pxeboot_dir  %{product_dir}/%{_arch}/loader

%description
Images to be used by product composer as a base. It is designed
for Agama Installer in first place.

%package -n tftpboot-agama-installer-Leap-%{_arch}
Summary:        Product Composer Base Images (extracted PXE images)
Group:          System/Management
BuildArch:      noarch

%description -n tftpboot-agama-installer-Leap-%{_arch}
Loaders that can be used for PXE boot, extracted from the installer
content.

%install
mkdir -p %buildroot%{install_dir}
cp -a /usr/src/packages/KIWI/* %buildroot%install_dir

%if %{with pxeboot}
mkdir -p %{buildroot}%{pxeboot_dir}
tar -xvf %{buildroot}%{install_dir}/agama-installer*.install.tar -C %{buildroot}%{pxeboot_dir} --transform 's/agama-installer.%{_arch}-16.0.0./pxe-installer./' --show-transformed-names
ls -ltha %{buildroot}%{pxeboot_dir}
%endif

if [ -n "-Leap" ] && [[ "-Leap" != *"Leap"* ]]; then
  # Rename the files so that they match what product-composer
  # expect
  for path in %{buildroot}%{install_dir}/agama-installer*; do
    filename="$(basename $path)"
    target_filename="${filename//agama-installer//agama-installer-Leap}"
    mv -v ${path} %{buildroot}%{install_dir}/${target_filename}
    
    if [[ ${filename} == *.sha256 ]]; then
      sed -i "s|agama-installer|agama-installer-Leap|g" %{buildroot}%{install_dir}/${target_filename}
    fi
  done
fi

%files
%install_dir

%if %{with pxeboot}
%files -n tftpboot-agama-installer-Leap-%{_arch}
%dir %tftpboot_dir
%product_dir
%endif

%changelog
